Update Article
curl --request PATCH \
--url https://app.polygon-one.com/api/articles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"name": "<string>",
"shortDescription": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"ean": "<string>",
"hsCode": "<string>"
},
"supplierIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://app.polygon-one.com/api/articles/{id}"
payload = {
"fields": {
"name": "<string>",
"shortDescription": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"ean": "<string>",
"hsCode": "<string>"
},
"supplierIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: {
name: '<string>',
shortDescription: '<string>',
internalArticleNr: '<string>',
externalArticleNr: '<string>',
ean: '<string>',
hsCode: '<string>'
},
supplierIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://app.polygon-one.com/api/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"hsCode": "<string>",
"ean": "<string>",
"shortDescription": "<string>",
"eudrRelevant": true,
"articleType": "purchase",
"commodityGroup": "cattle",
"suppliers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"contactName": "<string>",
"country": "<string>",
"externalSupplierId": "<string>",
"address": {
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"additional": "<string>",
"validated": true,
"latitude": 123,
"longitude": 123
},
"status": "data_incomplete",
"isCompanySelf": true,
"articles": "<array>"
}
],
"complianceResults": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplierArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overallStatus": "compliant",
"geoStatus": "compliant",
"legalStatus": "compliant",
"generatedReportUrl": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"countryOfProduction": "<string>"
}
}{
"error": "<string>",
"details": "<unknown>"
}Artikel
Artikel aktualisieren
Update article fields and/or replace supplier associations.
PATCH
/
api
/
articles
/
{id}
Update Article
Autorisierungen
API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.
Pfadparameter
Body
application/json
⌘I